gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Objects.TouchEvent

Contents

- Exported types
- Methods
  - getEmulatingPointer

Description

An event related to a touch-based device.

Synopsis

- newtype TouchEvent = TouchEvent (ManagedPtr TouchEvent)
- class (BoxedPtr o, TypedObject o, IsDescendantOf TouchEvent o) => IsTouchEvent o
- toTouchEvent :: (MonadIO m, IsTouchEvent o) => o -> m TouchEvent
- touchEventGetEmulatingPointer :: (HasCallStack, MonadIO m, IsTouchEvent a) => a -> m Bool

# Exported types

newtype TouchEvent Source #

Memory-managed wrapper type.

Constructors

TouchEvent (ManagedPtr TouchEvent) |

#### Instances

Instances details

Eq TouchEvent Source # |
Instance details Defined in GI.Gdk.Objects.TouchEvent Methods (==) :: TouchEvent -> TouchEvent -> Bool Source # (/=) :: TouchEvent -> TouchEvent -> Bool Source #
BoxedPtr TouchEvent Source # |
Instance details Defined in GI.Gdk.Objects.TouchEvent Methods boxedPtrCopy :: TouchEvent -> IO TouchEvent Source # boxedPtrFree :: TouchEvent -> IO () Source #
ManagedPtrNewtype TouchEvent Source # |
Instance details Defined in GI.Gdk.Objects.TouchEvent Methods toManagedPtr :: TouchEvent -> ManagedPtr TouchEvent Source #
TypedObject TouchEvent Source # |
Instance details Defined in GI.Gdk.Objects.TouchEvent Methods glibType :: IO GType Source #
HasParentTypes TouchEvent Source # |
Instance details Defined in GI.Gdk.Objects.TouchEvent
type ParentTypes TouchEvent Source # |
Instance details Defined in GI.Gdk.Objects.TouchEvent type ParentTypes TouchEvent = '[Event]

class (BoxedPtr o, TypedObject o, IsDescendantOf TouchEvent o) => IsTouchEvent o Source #

Type class for types which can be safely cast to `TouchEvent`, for instance with `toTouchEvent`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf TouchEvent o) => IsTouchEvent o Source # |
Instance details Defined in GI.Gdk.Objects.TouchEvent

toTouchEvent :: (MonadIO m, IsTouchEvent o) => o -> m TouchEvent Source #

Cast to `TouchEvent`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

ref, triggersContextMenu, unref.

#### Getters

getAxes, getAxis, getDevice, getDeviceTool, getDisplay, getEmulatingPointer, getEventSequence, getEventType, getHistory, getModifierState, getPointerEmulated, getPosition, getSeat, getSurface, getTime.

#### Setters

None.

## getEmulatingPointer

touchEventGetEmulatingPointer Source #

Arguments

:: (HasCallStack, MonadIO m, IsTouchEvent a) |
=> a | `event`: a touch event
-> m Bool | Returns: `True` if `event` is emulating

Extracts whether a touch event is emulating a pointer event.